Page MenuHomePhabricator

16 Multilingual Thank You Emails
Closed, ResolvedPublic

Description

Hello! I have pushed 16 multilingual thank you emails to Gerrit. I chatted with Elliott about this, but the plan is to proof/QA the thank you emails while they are in staging (so we can leverage testmeister) BEFORE approving for production. Thank you very much!! :)

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterHebrew TY email edits

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2020, 7:56 PM

@CDenes_WMF let me know if these work OK for you on staging

@Eileenmcnaughton Sounds good thank you! Is it okay if I proof/approve one language at a time? Is it possible to push just two files (1 Subject Line + 1 Body) to production? Or would it have to be done altogether?

@CDenes_WMF each commit in gerrit can be deployed separately but we need to deploy an entire commit - not just part of one - does that answer the question?

I think so. Does this mean in order to do so, I need to start over and
commit each language separately?

Ok no worries :) Last question-- should I make a separate phab task for
each language/commit? Or can one suffice?

I think one is fine - if you do a chunk of work & then it's over for now & then you start a new chunk then separate phabs make sense for the 2 chunks but we don't need a phab per commit

Ok, thank you Eilieen! I will bump this again once I have pushed the
commits to Gerrit

.Nafees791 renamed this task from 16 Multilingual Thank You Emails to ghj.Jan 23 2020, 4:33 AM
.Nafees791 changed the task status from Open to Stalled.
.Nafees791 removed Eileenmcnaughton as the assignee of this task.
.Nafees791 triaged this task as High priority.
.Nafees791 updated the task description. (Show Details)
ArielGlenn renamed this task from ghj to 16 Multilingual Thank You Emails.Jan 23 2020, 9:21 AM
ArielGlenn changed the task status from Stalled to Open.
ArielGlenn assigned this task to Eileenmcnaughton.
ArielGlenn raised the priority of this task from High to Needs Triage.
ArielGlenn updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)Jan 23 2020, 10:21 AM

@CDenes_WMF I saw a flood of gerrits come in on this - let me know which ones you want approved / pushed out

Ejegg added a subscriber: Ejegg.Feb 5 2020, 4:31 PM

I think we want to pull all of them onto the staging server to test

@CDenes_WMF these are all on the staging server. Feel free to use the TY mail test page to send them to yourself and anyone who's helping review them.

Precisely, thank you! I will confirm after proofing when each one is ready for production. Thank you very much!

Hi team. Quick clarification, when do you need any changes finalized in staging in order to push to production by our Big Bundle Banners Pre-Test date of March 3? Please let me know so I can plan to have all reviews completed before then. Thank you!

@CDenes_WMF I see a few things have been deployed - are we still tracking via this phab or is it just all happening on IRC (& we should close the phab now)?

Hi Eileen! The languages that have been deployed are not part of these 16 languages. Yes we are still tracking via this phab (for the 16 languages that are part of Big Bundle). My #1 priority for today is to proof these emails and confirm by EOD if any edits are necessary before pushing to production. Will let you know. thanks!

Hi Yall! I'm sending myself test emails today from the staging testmeister as I have previously; however as of today, the new TY emails that I had originally pushed to staging are no longer in staging? Please let me how best to proceed. I cannot proof them if they are no longer in staging.

Update: Elliott has restored the 16 emails to staging. Thank you Elliott!

I will confirm proofing by EOD

Hi all.

TY emails for the 16 languages have been proofed. I am using a loaner laptop so I cannot pull the files to make changes myself, thus I have denoted the necessary edits below. Please let me know if you need any additional info or clarification.

FYI per my discussion with David, these new TY emails will not be ready for the big bundle pretest, but they should be ready for the main campaign launch on March 17th (excluding Japanese).

Thank you!
Camille

  1. Catalan - CA

EDIT 1: the currency sign should go after the amount
Rest of email looks good and is approved for production

  1. Danish - DA

Looks good - approved

  1. German - DE

Looks good - approved

  1. Spanish - ES

Looks good - approved

  1. Hebrew - HE

Looks good - approved

  1. Hungarian - HU

*Error 1:* %AMOUNT% variable is missing/not substituted in this sentence "Havonta egy alkalommal, a Wikimedia Foundation [%AMOUNT%] összeggel megterheli számládat mindaddig, amíg nem értesítesz bennünket lemondási szándékodról."
*Error 2:* A typo in the last sentence, “ visszaigazolásokata” should be “ visszaigazolásokat a”.

  1. Japanese - JA

DO NOT PUSH TO PRODUCTION (needs work). Will work on this in separate phab task PRE Japan campaign

  1. Latvian - LV

ERROR 1: Duplicated paragraphs (starts with sentence "Jūsu ziedojums padara..."). Please delete the SECOND of these two duplicates (they are very slightly different), and the first one is the correct one.
ERROR 2: Missing space between these two sentences:
"Reizi mēnesī Wikimedia Foundation iekasēs ziedojumu €1,99 apmērā, līdz Jūs paziņosiet mums, ka vēlaties pārtraukt." AND
"Katru gadu janvārī mēs nosūtīsim kopsavilkumu par iepriekšējo gadu."
ERROR 3: The first sentence within the "IF Recurring" logic should say "Es priecājos būt tas, kurš pateicas par Jūsu ikmēneša dāvana $1.99 apmērā visu to vārdā, kas meklē iespēju iegūt zināšanas bez maksas." INSTEAD OF "Es priecājos būt tas, kurš pateicas par Jūsu dāvanu €1,99 apmērā visu to vārdā, kas meklē iespēju iegūt zināšanas bez maksas." This specifies thank you for your "monthly gift" as opposed to just thank you for your "gift".

  1. Dutch - NL

ERROR 1: Currency symbol should come after the amount
ERROR 2: In the phrase "...volg dan dezeeenvoudige annuleringsinstructies.." There is a duplicate period at the end of the sentence
ERROR 3: In the phrase "...volg dan dezeeenvoudige annuleringsinstructies.." the hyperlink should be on the text <dezeeenvoudige annuleringsinstructies>
ERROR 4: REMOVE this sentence "Hoe manifesteert uw nieuwsgierigheid zich? Speelt Wikipedia hier een rol in? "
EDIT 5: Please *bold* this sentence "Uw donatie geeft kracht en stelt ons in staat om onze missie te vervullen. Bedankt dat u ruimte voor Wikipedia in uw leven heeft gemaakt."

  1. Polish - PL

Looks good - approved

  1. Portuguese Portugal - PT

EDIT: Currency symbol should come after the amount
Rest of email looks good and is approved for production

  1. Portuguese Brazil - PT-BR

Looks good - approved

  1. Romanian - RO

Looks good - approved

  1. Russian - RU

Looks good - approved

  1. Slovak - SK

Looks good - approved

  1. Ukrainian - UK

Looks good - approved

CDenes_WMF added a comment.EditedFeb 19 2020, 8:13 PM

NOTE I'm unsure if Dutch (NL) is part of this batch of 16 files, because there's a separate phab task for Dutch here (https://phabricator.wikimedia.org/T238736); so I am suspicious that it is not a part of this bundle of 16.

If it is not, please let me know what the missing language is! IF that missing language is actually Swedish, that's been expedited separately and already been pushed to production, so we can ignore Swedish

@CDenes_WMF I think I've approved all the ones that you indicated were approved & am going to deploy them

@Eileenmcnaughton Thank you Eileen!
Just flagging that it looks like Portuguese Portugal was pushed through, although I noted above that it needed a small edit. Did that currency symbol get updated prior to pushing to production?

Please let me know if you need any additional information/input from me for the remaining languages that needed edits. Thank you!

Camille

Ejegg added a comment.Feb 20 2020, 9:02 PM

@CDenes_WMF the fixed Hungarian version is up on staging.

The list of changes still outstanding is visible in gerrit here: https://gerrit.wikimedia.org/r/#/q/owner:Cdenes+status:open

Our CLDR library will indeed put the currency symbol after the amount if a locale is passed in as pt_PT, which should be the case for donors in Portugal. If you just pass in 'pt' it uses Brazilian formatting which places the symbol before the amount.

That makes a bit of a mismatch with our test form, as it uses plain 'pt' to mean pt_PT and pt-br to mean the Brazilian version.

Ejegg added a comment.Feb 21 2020, 2:53 AM

Looks like @Eileenmcnaughton caught pt-PT in time and it didn't get deployed. I did just add a tweak for the test form on staging so you can select 'pt_PT' and it renders it like an actual Portuguese-speaking donor in Portugal would see it. The currency symbol comes after the amount:

Sinto-me tão feliz por ser a pessoa a agradecer-lhe pela sua oferta de 1,99 €, em nome das...

Ejegg added a comment.Feb 21 2020, 3:14 AM

So for Catalan, our 2012 version of the CLDR library seems to have the symbol placement wrong! I checked the current source data (https://github.com/unicode-org/cldr/blob/master/common/main/ca.xml#L5363) and it does indeed have the symbol after the amount. I've made a small update to our library for now, but we should probably fully update it.

Ejegg added a comment.Feb 21 2020, 4:05 PM

@CDenes_WMF I've merged the Catalan and Portuguese (Portugal) emails to master, and have deployed to staging the Catalan order fix to our CLDR library and a tweak to the test form.

Here's what's left: https://gerrit.wikimedia.org/r/#/q/owner:cdenes%2540wikimedia.org+status:open . Looks like Latin American Spanish is the one missing from your above list.

The latest versions of all of those are on staging (NL, HU, and LV have the text fixed in accordance with your earlier comment)

Ah!! es-LATAM Spanish-- thanks for confirming :)

ES-419
Looks good and approved for production on my end

HU
Looks good for production

LV
Looks good for production

NL
Looks good for production

A few additional edits to Hebrew if it's not too late--
Edit 1: Change Subject Line to:
התרומה שלך. הסקרנות שלך. הוויקיפדיה שלך.

Edit 2: The greeting in the beginning is: היי [name]!
Please change greeting to: שלום [name]!

Edit 3: In the second paragraph, replace the words "זהו לי כבוד גדול" with: זה כבוד גדול בשבילי

Edit 4: In the last line, replace "אם אינך מעוניין לקבל" with אם אינך רוצה לקבל

Thank you Elliott!!

Change 574521 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Hebrew TY email edits

https://gerrit.wikimedia.org/r/574521

Ejegg added a comment.Feb 24 2020, 6:47 PM

@CDenes_WMF it looks like the HE email went out to production with the previous version, but we can still make more edits. I've just tried to make the edits you requested, and put the new version up on staging to test. Let me know if it looks good.

This comment was removed by CDenes_WMF.

Tested HE email and looks good for production, thanks for updating Elliott!

Change 574521 merged by Ejegg:
[wikimedia/fundraising/crm@master] Hebrew TY email edits

https://gerrit.wikimedia.org/r/574521

Eileenmcnaughton closed this task as Resolved.Mon, Mar 2, 10:08 PM

Setting to resolved - ping us if you need more help